# _06_parameterized_tools_refactored.py
# After program to demonstrate use of functions as parameterized tools


def main():
    target = 'The quick brown fox jumped over the lazy dog.'
    vowels = 'aeiou'
    consonants = 'bcdfghjklmnpqrstvwxyz'
    spaces = ' '
    punctuation_marks = ',.;:!?'

    print('The target string is:', target)
    print('It contains', count_qualifying_characters(target, vowels), 'vowels.')
    print('It contains', count_qualifying_characters(target, consonants), 'consonants.')
    print('It contains', count_qualifying_characters(target, spaces), 'spaces.')
    print('It contains', count_qualifying_characters(target, punctuation_marks), 'punctuation marks.')


def count_qualifying_characters(string_to_be_analyzed, qualifying_characters):
    overall_count = 0
    shifted_string = string_to_be_analyzed.lower()

    for character in qualifying_characters:
        this_character_count = shifted_string.count(character)
        overall_count += this_character_count

    return overall_count


main()
